Subject: Example perl code & newgroup charters
From: fred <[email-masked]>
To: cygwin <[email-masked]>, [email-masked]
Date: Sat, 01 Feb 2003 03:24:28 -0500
Newsgroups: comp.lang.perl.misc,comp.lang.perl,alt.perl

Hello,

I'm using Perl v5.6.1 built for cygwin-multi.
It runs on cygwin  1.3.19-1.  I'm going thru
some example code in "man perlintro":

 > my $variables = {
 >     scalar  =>  {
 >                  description => "single item",
 >                  sigil => '$',
 >                 },
 >     array   =>  {
 >                  description => "ordered list of items",
 >                  sigil => '@',
 >                 },
 >     hash    =>  {
 >                  description => "key/value pairs",
 >                  sigil => '%',
 >                 },
 > };
 >
 > print "Scalars begin with a $variables->{'scalar'}->{'sigil'}\n";

All it prints is

> Scalars begin with a $

I don't want to jump to conclusions
and say it's wrong, but it sure seems
strange for the point being illustrated.
Is it correct?  If not, what might be
wrong?  Do other users of this perl
version (and/or cygwin version) have
the same problem?

I tried to find the charter for these
newsgroups via google (searching for
charter in the subject line, as well
as in general for some of the groups).
Can anyone refer me to this?  Thanks.

Fred

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/